Bug 184727 - [PATCH] graphics/gpicview: [SUMMARIZE CHANGES]
Summary: [PATCH] graphics/gpicview: [SUMMARIZE CHANGES]
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-12 18:00 UTC by Radim Kolar
Modified: 2013-12-28 23:30 UTC (History)
1 user (show)

See Also:


Attachments
gpicview-0.2.4_1.patch (1.01 KB, patch)
2013-12-12 18:00 UTC, Radim Kolar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2013-12-12 18:00:23 UTC
remove error with clang
fixes ports/184709

Port maintainer (jmohacsi@bsd.hu) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-12-12 18:01:03 UTC
Maintainer of graphics/gpicview,

Please note that PR ports/184727 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184727

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-12-12 18:01:04 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-12-28 23:24:44 UTC
Author: rakuco
Date: Sat Dec 28 23:24:36 2013
New Revision: 337928
URL: http://svnweb.freebsd.org/changeset/ports/337928

Log:
  Fix the build with clang.
  
  PR:		ports/184709
  PR:		ports/184727
  Submitted by:	Radim Kolar <hsn@sendmail.cz>
  Approved by:	maintainer timeout (17 days)

Added:
  head/graphics/gpicview/files/
  head/graphics/gpicview/files/patch-main-win.c   (contents, props changed)

Added: head/graphics/gpicview/files/patch-main-win.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/graphics/gpicview/files/patch-main-win.c	Sat Dec 28 23:24:36 2013	(r337928)
@@ -0,0 +1,11 @@
+--- src/main-win.c.orig	2013-10-23 10:42:02.000000000 +0200
++++ src/main-win.c	2013-12-12 18:26:14.000000000 +0100
+@@ -378,7 +378,7 @@
+         image_list_sort_by_name( mw->img_list, GTK_SORT_DESCENDING );
+         if (image_list_get_first(mw->img_list))
+             main_win_open(mw, image_list_get_current_file_path(mw->img_list), zoom);
+-        return;
++        return TRUE;
+     }
+ 
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Raphael Kubo da Costa freebsd_committer 2013-12-28 23:25:48 UTC
State Changed
From-To: feedback->closed

Committed, thanks. I didn't bump PORTREVISION because no existing 
package needs to be rebuilt.